<?php
namespace Misuzu;

if(!$msz->getAuthInfo()->getPerms('global')->check(Perm::G_NEWS_CATEGORIES_MANAGE)) {
    echo render_error(403);
    return;
}

$news = $msz->getNews();
$pagination = new Pagination($news->countCategories(), 15);

if(!$pagination->hasValidOffset()) {
    echo render_error(404);
    return;
}

$categories = $news->getCategories(pagination: $pagination);

Template::render('manage.news.categories', [
    'news_categories' => $categories,
    'categories_pagination' => $pagination,
]);
